Package com.verisign.epp.codec.addlemail

## Class EPPAddlEmailTst

- java.lang.Object
- - com.verisign.epp.codec.addlemail.EPPAddlEmailTst

-     public class EPPAddlEmailTst
      extends java.lang.Object

  Is a unit test of supporting the Additional Email Extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPAddlEmailTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPEAITst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testContactCreateASCIIAlternate()` | Unit test of passing an EAI address in a [RFC5733] contact create command and an ASCII alternate address.
    `void` | `testContactCreateSMTPUTF8Primary()` | Unit test of passing an EAI address in a [RFC5733] contact create command and an SMTPUTF8 alternate address.
    `void` | `testContactInfoRespASCIIAlternate()` | Unit test of returning an ASCII email in the extension to an [RFC5733] contact info response.
    `void` | `testContactInfoResponseSMTPUTF8Primary()` | Unit test of returning an SMTPUTF8 email in the extension to an [RFC5733] contact info response.
    `void` | `testContactInfoRespUnsetAlternate()` | Unit test of returning an empty alternative email in the extension to an [RFC5733] contact info response.
    `void` | `testContactUpdateASCIIAlternate()` | Unit test of passing an ASCII email in the extension to an [RFC5733] contact update command.
    `void` | `testContactUpdateSMTPUTF8Alternate()` | Unit test of passing an SMTPUTF8 email in the extension to an [RFC5733] contact update command.
    `void` | `testContactUpdateUnsetAlternate()` | Unit test of unsetting the alternate email in the extension to an [RFC5733] contact update command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPAddlEmailTst

          public EPPAddlEmailTst()

  - ### Method Detail

    - #### testContactCreateASCIIAlternate

          public void testContactCreateASCIIAlternate()

      Unit test of passing an EAI address in a [RFC5733] contact create command and an ASCII alternate address.

    - #### testContactCreateSMTPUTF8Primary

          public void testContactCreateSMTPUTF8Primary()

      Unit test of passing an EAI address in a [RFC5733] contact create command and an SMTPUTF8 alternate address.

    - #### testContactUpdateASCIIAlternate

          public void testContactUpdateASCIIAlternate()

      Unit test of passing an ASCII email in the extension to an [RFC5733] contact update command.

    - #### testContactUpdateSMTPUTF8Alternate

          public void testContactUpdateSMTPUTF8Alternate()

      Unit test of passing an SMTPUTF8 email in the extension to an [RFC5733] contact update command.

    - #### testContactUpdateUnsetAlternate

          public void testContactUpdateUnsetAlternate()

      Unit test of unsetting the alternate email in the extension to an [RFC5733] contact update command.

    - #### testContactInfoRespASCIIAlternate

          public void testContactInfoRespASCIIAlternate()

      Unit test of returning an ASCII email in the extension to an [RFC5733] contact info response.

    - #### testContactInfoResponseSMTPUTF8Primary

          public void testContactInfoResponseSMTPUTF8Primary()

      Unit test of returning an SMTPUTF8 email in the extension to an [RFC5733] contact info response.

    - #### testContactInfoRespUnsetAlternate

          public void testContactInfoRespUnsetAlternate()

      Unit test of returning an empty alternative email in the extension to an [RFC5733] contact info response.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPEAITst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test